Bug 2850 - apt-cache whatdepends segfaults
: apt-cache whatdepends segfaults
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apt)
: unstable
: all Linux
: P3 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-08-18 15:22 by
Modified: 2005-09-12 14:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-18 15:22:05
apt-cache whatdepends segfaults when system rpm database contains no packages.

Details see below.
---
$ /raid/ldv/aptbox/apt-cache whatdepends fileutils
<fileutils>
  uucp-1.06.1-ipl22mdk
    Для установки требует: <fileutils>
      coreutils-5.0-alt3
Segmentation fault

$ /raid/ldv/aptbox/apt-cache whatdepends kernel              
<kernel>
  sysstat-4.0.7-alt1
    Требует: <kernel>
      kernel-image-llc-smp#2.4.21-alt2-2.4.21-alt2
      kernel-image-llc-up#2.4.21-alt2-2.4.21-alt2
      kernel-image-std-smp#2.4.21rel-alt8-2.4.21rel-alt8
      kernel-image-std-up#2.4.21rel-alt13-2.4.21rel-alt13
      kernel-image-w4l-up#2.4.21-alt4-2.4.21-alt4
      kernel22-smp#2.2.25-alt1-2.2.25-alt1
      kernel22-smp-secure#2.2.25-alt1-2.2.25-alt1
      kernel22-up#2.2.25-alt1-2.2.25-alt1
      kernel22-up-secure#2.2.25-alt1-2.2.25-alt1
Segmentation fault

---

------- Comment #1 From 2003-10-18 15:11:26 -------
*** Bug 3180 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2004-01-16 18:41:18 -------
Seems to be fixed in apt-0.5.15cnc5-alt1